Name:           dateshift
Version:        1.1
Release:        7%{?dist}
Summary:        A date/time test tool

Group:          Applications/System
License:        GPLv2+
URL:            http://hornby.byethost5.com/dateshift/
Source0:        http://hornby.byethost5.com/dateshift/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Dateshift is a tool for shifting date/time. In particular it allows 
a process or set of process to run with a different clock setting,
without having to change the system clock.

This is useful because changing the system clock requires root privilege
and is inconvenient on shared machines. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_libdir}/libdsintercept.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdsintercept.so


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 1 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 1.1-5
- Fix URL/Source0 -- the address of the project has changed. No other modifications

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 1.1-2
- Changed license to GPLv2+

* Fri Jan 02 2009 Fabian Affolter <fabian@bernewireless.net> - 1.1-1
- Initial spec for Fedora
